%define	module	requests

Summary:	Python HTTP for Humans
Name:		python-%{module}
Version:	2.0.0
Release:	%mkrel 4
Source0:	http://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
# From Fedora Explicitly use the system certificates in ca-certificates.
Patch0:		python-requests-system-cert-bundle.patch
# From Fedora Unbundle python-charade (a fork of python-chardet).
Patch1:		python-requests-system-chardet-not-charade.patch
# From Fedora Unbundle python-charade (a fork of python-urllib3).
Patch2:		python-requests-system-urllib3.patch
License:	MIT
Group:		Development/Python
Url:		http://python-requests.org/
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-chardet
BuildRequires:	python-urllib3
BuildRequires:	python-backports-ssl_match_hostname
Requires:	rootcerts
Requires:	python-chardet
Requires:	python-urllib3
Requires:	python-backports-ssl_match_hostname

%description
Requests allow you to send HTTP/1.1 requests. You can add headers,
form data, multipart files, and parameters with simple Python
dictionaries, and access the response data in the same way. It's
powered by httplib and urllib3, but it does all the hard work and
crazy hacks for you.

%package -n python3-%{module}
Summary: HTTP library, written in Python, for human beings
BuildRequires:	python3-devel
BuildRequires:	python3-chardet
BuildRequires:	python3-urllib3
Requires:	python3-chardet
Requires:	python3-urllib3
Requires:	rootcerts

%description -n python3-%{module}
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Unbundle the certificate bundle from mozilla.
rm -rf requests/cacert.pem

cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
# Unbundle chardet. 
rm -rf build/lib/requests/packages/charade
# Unbundle urllib3. 
rm -rf build/lib/requests/packages
popd

%{__python} setup.py build
# Unbundle chardet.  
rm -rf build/lib/requests/packages/charade
# Unbundle urllib3. 
rm -rf build/lib/requests/packages

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd

%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc NOTICE LICENSE README.rst HISTORY.rst
%{python_sitelib}/*.egg-info
%{python_sitelib}/requests/

%files -n python3-%{module}
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/requests/



%changelog
* Tue Oct 22 2013 ovitters <ovitters> 2.0.0-4.mga4
+ Revision: 546294
- python2 requires python-backports-ssl_match_hostname

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 544191
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-2.mga4
+ Revision: 499297
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 nmartin <nmartin> 2.0.0-1.mga4
+ Revision: 492727
- Update to new version 2.0.0

* Thu Aug 29 2013 philippem <philippem> 1.2.3-2.mga4
+ Revision: 473130
- unbundle cert, charade
- add Python 3
- unbundle cert, charade

* Sat Jun 08 2013 philippem <philippem> 1.2.3-1.1.mga4
+ Revision: 440562
- fix CVE-2013-2099 (ssl.match_hostname DOS)

* Sun Jun 02 2013 colin <colin> 1.2.3-1.mga4
+ Revision: 434894
- New version: 1.2.3

* Sun Jan 13 2013 umeabot <umeabot> 0.13.5-2.mga3
+ Revision: 379442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 0.13.5-1.mga3
+ Revision: 278170
- new version 0.13.5
- clean spec
- Import from Mandriva


* Tue Jul 17 2012 Lev Givon <lev@mandriva.org> 0.13.3-1
+ Revision: 810082
- imported package python-requests
- imported package python-requests

